// pages/member/rankingListSecond/rankingListSecond.js
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    language: "",
    activeName: "first",
    first_content: [],
    amountTotal: "0.00",
    team_level: "",
    loading: false,
    allLoaded: false,
    goload: true,
    isLoadMore: true,
    page: 1,
    total_page: 0,
    custom_name: "",
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.checkrouter();
    this.getData();
    this.getDividendList();
  },
  checkrouter() {
    try {
      // 推广中心是否开启该功能，没开启跳转到指定路径
      let basic_info = wx.getStorageSync("yz_basic_info");
      let stop_info = basic_info.popularize_page.mini.vue_route;
      for (let i = 0; i < stop_info.length; i++) {
        if (stop_info[i] == "shareholder_dividend") {
          console.log(basic_info.popularize_page.mini.mini_url + "跳转的路径");

          wx.showToast({
            title: "未开启推广权限",
            duration: 1000,
            icon: "none",
            success: function () {
              setTimeout(() => {
                wx.redirectTo({
                  url: basic_info.popularize_page.mini.mini_url,
                });
              }, 1000);
            },
          });
          return;
        }
      }
    } catch (e) {
      console.log(e);
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    let language = wx.getStorageSync("langIndex");
    this.setData({ language: language.en });
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    if (this.data.isLoadMore) {
      this.getMoreDividendListData();
    } else {
      wx.showToast({
        title: "没有更多了",
        icon: "none",
      });
    }
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
  // 初始化数据
  getData() {
    let urlStr = app.getNetAddresss(
      "plugin.shareholder-dividend.api.shareholder.get-shareholder-statistic"
    );
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          this.setData({
            amountTotal: resdata.data.amountTotal,
            team_level: resdata.data.team_level,
            capping: resdata.data.capping,
            capping_money: resdata.data.capping_money
              ? resdata.data.capping_money
              : "",
            custom_name: resdata.data.set.custom_name || "股东分红",
          });
          wx.setNavigationBarTitle({
            title: this.data.custom_name,
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },

  // 获取分红记录
  getDividendList() {
    let urlStr = app.getNetAddresss(
      "plugin.shareholder-dividend.api.shareholder.get-shareholder-log"
    );
    urlStr += "&page=" + this.data.page;
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          this.setData({
            first_content: resdata.data.data,
            total_page: resdata.data.last_page,
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },

  // 获取分红记录 分页
  getMoreDividendListData() {
    if (this.data.page == this.data.total_page) {
      return;
    }
    if (this.data.page >= this.data.total_page) {
      this.setData({
        loading: true,
        allLoaded: true,
      });
      return;
    } else {
      let page = this.data.page + 1;
      this.setData({
        page,
      });
      let urlStr = app.getNetAddresss(
        "plugin.shareholder-dividend.api.shareholder.get-shareholder-log"
      );
      urlStr += "&page=" + this.data.page;
      app._getNetWork({
        url: urlStr,
        success: (res) => {
          let resdata = res.data;
          if (resdata.result === 1) {
            let myData = this.data.first_content.concat(resdata.data.data);
            this.setData({
              first_content: myData,
              loading: false,
              allLoaded: false,
            });
          } else {
            let pages = this.data.page - 1;
            this.setData({
              page: pages,
              loading: true,
              allLoaded: true,
              isLoadMore: false,
            });
            return;
          }
        },
        fail: function (res) {
          console.log(res);
        },
      });
    }
  },
});
